zmena ze 7.3 na PHP8.0

slavei
23. zář 2021 13:04 #144834
Dobry den zmenil jsem PHP 7.3 na 8.0 v Hostingu a prestal fungovat e
shop, ani administrace se n neobjavy, jen Bila stranka , nevite jak to opravit

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od H13
23. zář 2021 16:33 - 23. zář 2021 16:33 #144836
Ahoj, jedině tak, že se zobrazí PHP chyby. Ty se zobrazí při zapnutí debug modu v Joomle a zobrazení chyb. Případně se to musí povolit na hostingu (více info v podobných vláknech)

Až budeme znát PHP chybu, která to způsobuje, pak se může pátrat a řešit dál. Například update části, která to způsobuje.

Phoca Gallery - http://www.phoca.cz/phocagallery - obrázková galerie (Joomla!)
Phoca Guestbook - http://www.phoca.cz/phocaguestbook - kniha návštěv (Joomla!)
Phoca Download - http://www.phoca.cz/phocadownload - stahování souborů (Joomla!)
Phoca Cart - http://www.phoca.cz/phocacart - e-shop,...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od slavei
23. zář 2021 17:55 #144837
dobry den , prave ze jsem to povolil jen v hostingu , , v administrace joomla nic jsem nedelal.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Lion
23. zář 2021 19:51 #144838
vratte se zpet na predchozi verzi PHP ve vasem hostingu a zatim to nereste :)
zaroven zmeny tohoto charakteru byste mel provadet na kopii/zaloze celeho webu trebas na nejake testovaci poddomene

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
23. zář 2021 20:19 #144842
Souhlas, pokud nutně nepotřebujete PHP 8, vraťte zpět 7.3, nebo pravděpodobně bude funkční i 7.4.
Nepíšete jaký shop, ale jestli VM, tak si ještě chvíli budete muset počkat na verzi plně kompatibilní s PHP 8.
Další věc pak ještě bude kompatibilita šablony.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
23. zář 2021 21:27 #144846
At Cony:

Nepíšete jaký shop, ale jestli VM, tak si ještě chvíli budete muset počkat na verzi plně kompatibilní s PHP 8.
Další věc pak ještě bude kompatibilita šablony.


A dalších rozšíření, pluginů, modulů....
Zrovna nyní přepisuji jeden eshop na PHP74 a dělám mnoho úprav v PHP abych odstranil chyby :)
Hlavně tam kde prostě aplikace není na PHP74 ještě napsaná a snad ani už nebude.

O PHP8 si zatím mohu nechat zdát.

Dobry den zmenil jsem PHP 7.3 na 8.0 v Hostingu a prestal fungovat eshop, ani administrace se neobjavy, jen Bila stranka , nevite jak to opravit?


Víme co nedělat, protože eshopy a weby všichni zde děláme :)
Přesně jak píšou - vývoj, zálohy, testování...

Kdo Vám nakukal aby jste přepnul PHP?
Ono to jde přepnout na hostingu, tak proč bych to neudělal, že, nová verze, hned to tam prdnu a pak ze sebe udělám pc dummy.

Tož nejste ani specialista a evidentně eshop je jen jako hobby a nevydělává peníze, jinak by se Vám musela přitom třást ruka a ještě cvakat zuby - Co se stane když?

Tak aspoň si to budete pamatovat, někdy to neuškodí zrušit businnes zákazníkovi a protrpět hororovou noc :)

Přepnout PHP zpět a pokud něco příště chcete zkoušet, zkoušejte si na svém a na vývoji.

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od xunil
23. zář 2021 21:38 #144851
www.php.net/supported-versions.php

PHP oproti Joomle má jiný cyklus.
PHP 8 by mělo byt pro Joomla 4 a veškeré příslušenství automatické.
To že to nefunguje je bohužel jiná otázka.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Lion
23. zář 2021 21:58 #144852
Porad se nejspis jedna o J3.
- az bude na J4 , tak samo PHP8 bude lepsi varianta a budeme i v jine casti fora :)

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od slavei
18. říj 2021 17:36 #144984
A má vůbec smysl teď přejít na Joomla 4. Kdo je schopen to udělat a překonat web a e-shop

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
19. říj 2021 09:20 #144991
Přejít na J4 pro vás má smysl v okamžiku, kdy budou i vaše rozšíření na J4 připravena. A to většinou chvíli trvá.

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
19. říj 2021 19:51 #144998
Zlaté pravidlo, co funguje, na to nešahám :D

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
19. říj 2021 22:07 #145002

A má vůbec smysl teď přejít na Joomla 4. Kdo je schopen to udělat a překonat web a e-shop


Tož nevím, jestli to myslíte jako Zeman - vystřelíte myšlenku a pak se u becherovky řehtáte, co ostatní vymyslí...

Kolik máte nachystáno peněz na překopání?
Aspoň podle odpovědi poznáme jestli to myslíte vážně - to se budu zase řehtat já :D

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od slavei
20. říj 2021 17:21 #145012
Dobrý den , to záleží co se bude předělávat. Cenu asi musíte ric vy . stránky sou www.rosaimpex.cz

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
21. říj 2021 01:02 #145014

Cenu asi musíte ric vy


Nemusím :)

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.